<!-- omit in toc -->

# Recipes

A #recipe is a guide, tip or strategy for getting the most out of your Foam workspace!

- [Recipes](#recipes)
  - [Contribute](#contribute)
  - [Take smart notes](#take-smart-notes)
  - [Discover](#discover)
  - [Organise](#organise)
  - [Write](#write)
  - [Version control](#version-control)
  - [Publish](#publish)
  - [Collaborate](#collaborate)
  - [Workflow](#workflow)
  - [Creative ideas](#creative-ideas)
  - [Other](#other)

## Contribute

- Start by reading [[contribution-guide]]
- If you discover features not listed here, we'd love to have them! [[how-to-write-recipes]].

## Take smart notes

- Introduction to Zettelkasten [[todo]]
- Clip webpages with [[web-clipper]]
- Convert Microsoft Word files into Markdown with [[markup-converter]]

## Discover

- Explore your notes using [[graph-visualization]]
- Discover relationships with [[backlinking]]
- Simulating [[unlinked-references]]

## Organise

- Using [[backlinking]] for reference lists.

## Write

- Link documents with [[wikilinks]].
- Use shortcuts for [[creating-new-notes]]
- Instantly create and access your [[daily-notes]]
- Add and explore [[tags]]
- Create [[note-templates]]
- Find [[orphans]]
- Use custom [[note-macros]] to create weekly, monthly etc. notes
- Draw [[diagrams-in-markdown]]
- Prettify your links, [[automatically-expand-urls-to-well-titled-links]]
- Style your environment with [[custom-markdown-preview-styles]]
- Paste and link [[add-images-to-notes]]
- [[shows-image-preview-on-hover]]
- [Markdown All-in-One](https://marketplace.visualstudio.com/items?itemName=yzhang.markdown-all-in-one) features [[todo]] [[good-first-task]]
  - Manage checklists
  - Automatic Table of Contents
  - Live preview markdown
  - _More..._
- VS Code Advanced Features [[todo]] [[good-first-task]]
  - Focus with Zen Mode
- Display content of other notes in the preview tab by [[including-notes]]

## Version control

- Quick commits with VS Code's built in [[git-integration]]
- Store your workspace in an auto-synced GitHub repo with [[write-your-notes-in-github-gist]]
- Sync your GitHub repo automatically using the [GitDoc VSCode Plugin](https://marketplace.visualstudio.com/items?itemName=vsls-contrib.gitdoc) [[automatic-git-syncing]].

## Publish

- Publish using official Foam template
  - Publish to [[publish-to-github-pages]]
  - Publish to [[publish-to-gitlab-pages]]
  - Publish to [[publish-to-azure-devops-wiki]]
  - Publish to [[publish-to-vercel]]
- Publish using community templates
  - [[publish-to-netlify-with-eleventy]] by [@juanfrank77](https://github.com/juanfrank77)
  - [[generate-gatsby-site]] by [@mathieudutour](https://github.com/mathieudutour) and [@hikerpig](https://github.com/hikerpig)
  - [[generate-material-for-mkdocs-site]] by [@djplaner](https://github.com/djplaner)
- Make the site your own by [[publish-to-github]].
- Render math symbols, by either
  - adding client-side [[math-support-with-mathjax]] to the default [[publish-to-github-pages]] site
  - adding a custom Jekyll plugin to support [[math-support-with-katex]]
- Export note to PDF [[export-to-pdf]]

## Collaborate

- Give your team push access to your [GitHub repo](https://docs.github.com/en/account-and-profile/setting-up-and-managing-your-personal-account-on-github/managing-access-to-your-personal-repositories/inviting-collaborators-to-a-personal-repository)
- Real-time collaboration via VS Code Live Share [[real-time-collaboration]]
- Accept patches via GitHub PRs [[todo]]

## Workflow

- Capture notes from Drafts app on iOS [[capture-notes-with-drafts-pro]]
- Capture notes from iOS Shortcuts [[capture-notes-with-shortcuts-and-github-actions]]

## Creative ideas

Creative ideas welcome!

- Support [Anki](https://apps.ankiweb.net/) cards from notes like [Remnote](https://www.remnote.io/) [[todo]]

_See [[contribution-guide]] and [[how-to-write-recipes]]._

## Other

Thought of a recipe but don't see a category for them? Add them here and we'll organise them once we detect a theme.

_See [[contribution-guide]] and [[how-to-write-recipes]]._

